Index: uspace/srv/net/inetsrv/ndp.h
===================================================================
--- uspace/srv/net/inetsrv/ndp.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/ndp.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -63,6 +63,6 @@
 } ndp_packet_t;
 
-extern errno_t ndp_received(inet_dgram_t *);
-extern errno_t ndp_translate(addr128_t, addr128_t, addr48_t, inet_link_t *);
+extern int ndp_received(inet_dgram_t *);
+extern int ndp_translate(addr128_t, addr128_t, addr48_t, inet_link_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/ntrans.c
===================================================================
--- uspace/srv/net/inetsrv/ntrans.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/ntrans.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -73,5 +73,5 @@
  *
  */
-errno_t ntrans_add(addr128_t ip_addr, addr48_t mac_addr)
+int ntrans_add(addr128_t ip_addr, addr48_t mac_addr)
 {
 	inet_ntrans_t *ntrans;
@@ -107,5 +107,5 @@
  *
  */
-errno_t ntrans_remove(addr128_t ip_addr)
+int ntrans_remove(addr128_t ip_addr)
 {
 	inet_ntrans_t *ntrans;
@@ -134,5 +134,5 @@
  *
  */
-errno_t ntrans_lookup(addr128_t ip_addr, addr48_t mac_addr)
+int ntrans_lookup(addr128_t ip_addr, addr48_t mac_addr)
 {
 	fibril_mutex_lock(&ntrans_list_lock);
@@ -153,11 +153,11 @@
  *
  * @return EOK if woken up by another fibril
- * @return ETIMEOUT if timed out
+ * @return ETIMEDOUT if timed out
  *
  */
-errno_t ntrans_wait_timeout(suseconds_t timeout)
+int ntrans_wait_timeout(suseconds_t timeout)
 {
 	fibril_mutex_lock(&ntrans_list_lock);
-	errno_t rc = fibril_condvar_wait_timeout(&ntrans_cv, &ntrans_list_lock,
+	int rc = fibril_condvar_wait_timeout(&ntrans_cv, &ntrans_list_lock,
 	    timeout);
 	fibril_mutex_unlock(&ntrans_list_lock);
Index: uspace/srv/net/inetsrv/ntrans.h
===================================================================
--- uspace/srv/net/inetsrv/ntrans.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/ntrans.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,8 +48,8 @@
 } inet_ntrans_t;
 
-extern errno_t ntrans_add(addr128_t, addr48_t);
-extern errno_t ntrans_remove(addr128_t);
-extern errno_t ntrans_lookup(addr128_t, addr48_t);
-extern errno_t ntrans_wait_timeout(suseconds_t);
+extern int ntrans_add(addr128_t, addr48_t);
+extern int ntrans_remove(addr128_t);
+extern int ntrans_lookup(addr128_t, addr48_t);
+extern int ntrans_wait_timeout(suseconds_t);
 
 #endif
Index: uspace/srv/net/inetsrv/pdu.c
===================================================================
--- uspace/srv/net/inetsrv/pdu.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/pdu.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -102,5 +102,5 @@
  *
  */
-errno_t inet_pdu_encode(inet_packet_t *packet, addr32_t src, addr32_t dest,
+int inet_pdu_encode(inet_packet_t *packet, addr32_t src, addr32_t dest,
     size_t offs, size_t mtu, void **rdata, size_t *rsize, size_t *roffs)
 {
@@ -194,5 +194,5 @@
  *
  */
-errno_t inet_pdu_encode6(inet_packet_t *packet, addr128_t src, addr128_t dest,
+int inet_pdu_encode6(inet_packet_t *packet, addr128_t src, addr128_t dest,
     size_t offs, size_t mtu, void **rdata, size_t *rsize, size_t *roffs)
 {
@@ -308,5 +308,5 @@
  *
  */
-errno_t inet_pdu_decode(void *data, size_t size, service_id_t link_id,
+int inet_pdu_decode(void *data, size_t size, service_id_t link_id,
     inet_packet_t *packet)
 {
@@ -385,5 +385,5 @@
  *
  */
-errno_t inet_pdu_decode6(void *data, size_t size, service_id_t link_id,
+int inet_pdu_decode6(void *data, size_t size, service_id_t link_id,
     inet_packet_t *packet)
 {
@@ -474,5 +474,5 @@
  *
  */
-errno_t ndp_pdu_encode(ndp_packet_t *ndp, inet_dgram_t *dgram)
+int ndp_pdu_encode(ndp_packet_t *ndp, inet_dgram_t *dgram)
 {
 	inet_addr_set6(ndp->sender_proto_addr, &dgram->src);
@@ -535,5 +535,5 @@
  *
  */
-errno_t ndp_pdu_decode(inet_dgram_t *dgram, ndp_packet_t *ndp)
+int ndp_pdu_decode(inet_dgram_t *dgram, ndp_packet_t *ndp)
 {
 	ip_ver_t src_ver = inet_addr_get(&dgram->src, NULL,
Index: uspace/srv/net/inetsrv/pdu.h
===================================================================
--- uspace/srv/net/inetsrv/pdu.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/pdu.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,13 +48,13 @@
 extern uint16_t inet_checksum_calc(uint16_t, void *, size_t);
 
-extern errno_t inet_pdu_encode(inet_packet_t *, addr32_t, addr32_t, size_t, size_t,
+extern int inet_pdu_encode(inet_packet_t *, addr32_t, addr32_t, size_t, size_t,
     void **, size_t *, size_t *);
-extern errno_t inet_pdu_encode6(inet_packet_t *, addr128_t, addr128_t, size_t,
+extern int inet_pdu_encode6(inet_packet_t *, addr128_t, addr128_t, size_t,
     size_t, void **, size_t *, size_t *);
-extern errno_t inet_pdu_decode(void *, size_t, service_id_t, inet_packet_t *);
-extern errno_t inet_pdu_decode6(void *, size_t, service_id_t, inet_packet_t *);
+extern int inet_pdu_decode(void *, size_t, service_id_t, inet_packet_t *);
+extern int inet_pdu_decode6(void *, size_t, service_id_t, inet_packet_t *);
 
-extern errno_t ndp_pdu_decode(inet_dgram_t *, ndp_packet_t *);
-extern errno_t ndp_pdu_encode(ndp_packet_t *, inet_dgram_t *);
+extern int ndp_pdu_decode(inet_dgram_t *, ndp_packet_t *);
+extern int ndp_pdu_encode(ndp_packet_t *, inet_dgram_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/reass.c
===================================================================
--- uspace/srv/net/inetsrv/reass.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/reass.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -70,8 +70,8 @@
 static reass_dgram_t *reass_dgram_new(void);
 static reass_dgram_t *reass_dgram_get(inet_packet_t *);
-static errno_t reass_dgram_insert_frag(reass_dgram_t *, inet_packet_t *);
+static int reass_dgram_insert_frag(reass_dgram_t *, inet_packet_t *);
 static bool reass_dgram_complete(reass_dgram_t *);
 static void reass_dgram_remove(reass_dgram_t *);
-static errno_t reass_dgram_deliver(reass_dgram_t *);
+static int reass_dgram_deliver(reass_dgram_t *);
 static void reass_dgram_destroy(reass_dgram_t *);
 
@@ -81,8 +81,8 @@
  * @return		EOK on success or ENOMEM.
  */
-errno_t inet_reass_queue_packet(inet_packet_t *packet)
+int inet_reass_queue_packet(inet_packet_t *packet)
 {
 	reass_dgram_t *rdg;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_reass_queue_packet()");
@@ -180,5 +180,5 @@
 }
 
-static errno_t reass_dgram_insert_frag(reass_dgram_t *rdg, inet_packet_t *packet)
+static int reass_dgram_insert_frag(reass_dgram_t *rdg, inet_packet_t *packet)
 {
 	reass_frag_t *frag;
@@ -290,5 +290,5 @@
  * @param rdg		Datagram reassembly structure.
  */
-static errno_t reass_dgram_deliver(reass_dgram_t *rdg)
+static int reass_dgram_deliver(reass_dgram_t *rdg)
 {
 	size_t dgram_size;
@@ -297,5 +297,5 @@
 	uint8_t proto;
 	reass_frag_t *frag;
-	errno_t rc;
+	int rc;
 
 	/*
Index: uspace/srv/net/inetsrv/reass.h
===================================================================
--- uspace/srv/net/inetsrv/reass.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/reass.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 #include "inetsrv.h"
 
-extern errno_t inet_reass_queue_packet(inet_packet_t *);
+extern int inet_reass_queue_packet(inet_packet_t *);
 
 #endif
Index: uspace/srv/net/inetsrv/sroute.c
===================================================================
--- uspace/srv/net/inetsrv/sroute.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/sroute.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -183,5 +183,5 @@
 
 /** Get IDs of all static routes. */
-errno_t inet_sroute_get_id_list(sysarg_t **rid_list, size_t *rcount)
+int inet_sroute_get_id_list(sysarg_t **rid_list, size_t *rcount)
 {
 	sysarg_t *id_list;
Index: uspace/srv/net/inetsrv/sroute.h
===================================================================
--- uspace/srv/net/inetsrv/sroute.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/inetsrv/sroute.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,7 +49,7 @@
 extern inet_sroute_t *inet_sroute_find_by_name(const char *);
 extern inet_sroute_t *inet_sroute_get_by_id(sysarg_t);
-extern errno_t inet_sroute_send_dgram(inet_sroute_t *, inet_addr_t *,
+extern int inet_sroute_send_dgram(inet_sroute_t *, inet_addr_t *,
     inet_dgram_t *, uint8_t, uint8_t, int);
-extern errno_t inet_sroute_get_id_list(sysarg_t **, size_t *);
+extern int inet_sroute_get_id_list(sysarg_t **, size_t *);
 
 
Index: uspace/srv/net/loopip/loopip.c
===================================================================
--- uspace/srv/net/loopip/loopip.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/loopip/loopip.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,4 @@
 #include <async.h>
 #include <errno.h>
-#include <str_error.h>
 #include <inet/iplink_srv.h>
 #include <inet/addr.h>
@@ -45,17 +44,16 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <str.h>
 #include <task.h>
 
 #define NAME  "loopip"
 
-static errno_t loopip_open(iplink_srv_t *srv);
-static errno_t loopip_close(iplink_srv_t *srv);
-static errno_t loopip_send(iplink_srv_t *srv, iplink_sdu_t *sdu);
-static errno_t loopip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu);
-static errno_t loopip_get_mtu(iplink_srv_t *srv, size_t *mtu);
-static errno_t loopip_get_mac48(iplink_srv_t *srv, addr48_t *mac);
-static errno_t loopip_addr_add(iplink_srv_t *srv, inet_addr_t *addr);
-static errno_t loopip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr);
+static int loopip_open(iplink_srv_t *srv);
+static int loopip_close(iplink_srv_t *srv);
+static int loopip_send(iplink_srv_t *srv, iplink_sdu_t *sdu);
+static int loopip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu);
+static int loopip_get_mtu(iplink_srv_t *srv, size_t *mtu);
+static int loopip_get_mac48(iplink_srv_t *srv, addr48_t *mac);
+static int loopip_addr_add(iplink_srv_t *srv, inet_addr_t *addr);
+static int loopip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr);
 
 static void loopip_client_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg);
@@ -83,5 +81,5 @@
 } rqueue_entry_t;
 
-static errno_t loopip_recv_fibril(void *arg)
+static int loopip_recv_fibril(void *arg)
 {
 	while (true) {
@@ -100,9 +98,9 @@
 }
 
-static errno_t loopip_init(void)
+static int loopip_init(void)
 {
 	async_set_fallback_port_handler(loopip_client_conn, NULL);
 	
-	errno_t rc = loc_server_register(NAME);
+	int rc = loc_server_register(NAME);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server.");
@@ -154,5 +152,5 @@
 }
 
-static errno_t loopip_open(iplink_srv_t *srv)
+static int loopip_open(iplink_srv_t *srv)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_open()");
@@ -160,5 +158,5 @@
 }
 
-static errno_t loopip_close(iplink_srv_t *srv)
+static int loopip_close(iplink_srv_t *srv)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_close()");
@@ -166,5 +164,5 @@
 }
 
-static errno_t loopip_send(iplink_srv_t *srv, iplink_sdu_t *sdu)
+static int loopip_send(iplink_srv_t *srv, iplink_sdu_t *sdu)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_send()");
@@ -195,5 +193,5 @@
 }
 
-static errno_t loopip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu)
+static int loopip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip6_send()");
@@ -224,5 +222,5 @@
 }
 
-static errno_t loopip_get_mtu(iplink_srv_t *srv, size_t *mtu)
+static int loopip_get_mtu(iplink_srv_t *srv, size_t *mtu)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_get_mtu()");
@@ -231,5 +229,5 @@
 }
 
-static errno_t loopip_get_mac48(iplink_srv_t *src, addr48_t *mac)
+static int loopip_get_mac48(iplink_srv_t *src, addr48_t *mac)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_get_mac48()");
@@ -237,10 +235,10 @@
 }
 
-static errno_t loopip_addr_add(iplink_srv_t *srv, inet_addr_t *addr)
-{
-	return EOK;
-}
-
-static errno_t loopip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr)
+static int loopip_addr_add(iplink_srv_t *srv, inet_addr_t *addr)
+{
+	return EOK;
+}
+
+static int loopip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr)
 {
 	return EOK;
@@ -251,15 +249,13 @@
 	printf("%s: HelenOS loopback IP link provider\n", NAME);
 	
-	errno_t rc = log_init(NAME);
-	if (rc != EOK) {
-		printf("%s: Failed to initialize logging: %s.\n", NAME, str_error(rc));
+	int rc = log_init(NAME);
+	if (rc != EOK) {
+		printf("%s: Failed to initialize logging.\n", NAME);
 		return rc;
 	}
 	
 	rc = loopip_init();
-	if (rc != EOK) {
-		printf("%s: Failed to initialize loopip: %s.\n", NAME, str_error(rc));
-		return rc;
-	}
+	if (rc != EOK)
+		return rc;
 	
 	printf("%s: Accepting connections.\n", NAME);
Index: uspace/srv/net/nconfsrv/iplink.c
===================================================================
--- uspace/srv/net/nconfsrv/iplink.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/nconfsrv/iplink.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,4 @@
 #include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
 #include <inet/dhcp.h>
@@ -49,10 +48,10 @@
 #include "nconfsrv.h"
 
-static errno_t ncs_link_add(service_id_t);
+static int ncs_link_add(service_id_t);
 
 static LIST_INITIALIZE(ncs_links);
 static FIBRIL_MUTEX_INITIALIZE(ncs_links_lock);
 
-static errno_t ncs_link_check_new(void)
+static int ncs_link_check_new(void)
 {
 	bool already_known;
@@ -60,5 +59,5 @@
 	service_id_t *svcs;
 	size_t count, i;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&ncs_links_lock);
@@ -124,8 +123,8 @@
 }
 
-static errno_t ncs_link_add(service_id_t sid)
+static int ncs_link_add(service_id_t sid)
 {
 	ncs_link_t *nlink;
-	errno_t rc;
+	int rc;
 
 	assert(fibril_mutex_is_locked(&ncs_links_lock));
@@ -175,12 +174,12 @@
 }
 
-errno_t ncs_link_discovery_start(void)
-{
-	errno_t rc;
+int ncs_link_discovery_start(void)
+{
+	int rc;
 
 	rc = loc_register_cat_change_cb(ncs_link_cat_change_cb);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering callback for IP link "
-		    "discovery: %s.", str_error(rc));
+		    "discovery (%d).", rc);
 		return rc;
 	}
@@ -205,5 +204,5 @@
 
 /** Get IDs of all links. */
-errno_t ncs_link_get_id_list(sysarg_t **rid_list, size_t *rcount)
+int ncs_link_get_id_list(sysarg_t **rid_list, size_t *rcount)
 {
 	sysarg_t *id_list;
Index: uspace/srv/net/nconfsrv/iplink.h
===================================================================
--- uspace/srv/net/nconfsrv/iplink.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/nconfsrv/iplink.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,7 +41,7 @@
 #include "nconfsrv.h"
 
-extern errno_t ncs_link_discovery_start(void);
+extern int ncs_link_discovery_start(void);
 extern ncs_link_t *ncs_link_get_by_id(sysarg_t);
-extern errno_t ncs_link_get_id_list(sysarg_t **, size_t *);
+extern int ncs_link_get_id_list(sysarg_t **, size_t *);
 
 #endif
Index: uspace/srv/net/nconfsrv/nconfsrv.c
===================================================================
--- uspace/srv/net/nconfsrv/nconfsrv.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/nconfsrv/nconfsrv.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,4 @@
 #include <async.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
 #include <inet/dhcp.h>
@@ -56,8 +55,8 @@
 static void ncs_client_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg);
 
-static errno_t ncs_init(void)
+static int ncs_init(void)
 {
 	service_id_t sid;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ncs_init()");
@@ -81,5 +80,5 @@
 	rc = loc_server_register(NAME);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server: %s.", str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server (%d).", rc);
 		return EEXIST;
 	}
@@ -87,5 +86,5 @@
 	rc = loc_service_register(SERVICE_NAME_NETCONF, &sid);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering service: %s.", str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering service (%d).", rc);
 		return EEXIST;
 	}
@@ -105,5 +104,5 @@
 int main(int argc, char *argv[])
 {
-	errno_t rc;
+	int rc;
 
 	printf(NAME ": HelenOS Network configuration service\n");
Index: uspace/srv/net/slip/slip.c
===================================================================
--- uspace/srv/net/slip/slip.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/slip/slip.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,4 @@
 #include <stdio.h>
 #include <stdint.h>
-#include <stdlib.h>
 #include <loc.h>
 #include <inet/addr.h>
@@ -44,5 +43,4 @@
 #include <io/log.h>
 #include <errno.h>
-#include <str_error.h>
 #include <task.h>
 
@@ -57,12 +55,12 @@
 #define SLIP_ESC_ESC	0335
 
-static errno_t slip_open(iplink_srv_t *);
-static errno_t slip_close(iplink_srv_t *);
-static errno_t slip_send(iplink_srv_t *, iplink_sdu_t *);
-static errno_t slip_send6(iplink_srv_t *, iplink_sdu6_t *);
-static errno_t slip_get_mtu(iplink_srv_t *, size_t *);
-static errno_t slip_get_mac48(iplink_srv_t *, addr48_t *);
-static errno_t slip_addr_add(iplink_srv_t *, inet_addr_t *);
-static errno_t slip_addr_remove(iplink_srv_t *, inet_addr_t *);
+static int slip_open(iplink_srv_t *);
+static int slip_close(iplink_srv_t *);
+static int slip_send(iplink_srv_t *, iplink_sdu_t *);
+static int slip_send6(iplink_srv_t *, iplink_sdu6_t *);
+static int slip_get_mtu(iplink_srv_t *, size_t *);
+static int slip_get_mac48(iplink_srv_t *, addr48_t *);
+static int slip_addr_add(iplink_srv_t *, inet_addr_t *);
+static int slip_addr_remove(iplink_srv_t *, inet_addr_t *);
 
 static iplink_srv_t slip_iplink;
@@ -86,5 +84,5 @@
 static size_t slip_recv_read;
 
-errno_t slip_open(iplink_srv_t *srv)
+int slip_open(iplink_srv_t *srv)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_open()");
@@ -92,5 +90,5 @@
 }
 
-errno_t slip_close(iplink_srv_t *srv)
+int slip_close(iplink_srv_t *srv)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_close()");
@@ -103,5 +101,5 @@
 
 	while (slip_send_pending > 0) {
-		errno_t rc;
+		int rc;
 		size_t nwr;
 
@@ -110,5 +108,5 @@
 		if (rc != EOK) {
 			log_msg(LOG_DEFAULT, LVL_ERROR,
-			    "chardev_write() -> %s", str_error_name(rc));
+			    "chardev_write() returned %d", rc);
 			slip_send_pending = 0;
 			break;
@@ -126,5 +124,5 @@
 }
 
-errno_t slip_send(iplink_srv_t *srv, iplink_sdu_t *sdu)
+int slip_send(iplink_srv_t *srv, iplink_sdu_t *sdu)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_send()");
@@ -162,5 +160,5 @@
 }
 
-errno_t slip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu)
+int slip_send6(iplink_srv_t *srv, iplink_sdu6_t *sdu)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_send6()");
@@ -169,5 +167,5 @@
 }
 
-errno_t slip_get_mtu(iplink_srv_t *srv, size_t *mtu)
+int slip_get_mtu(iplink_srv_t *srv, size_t *mtu)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_get_mtu()");
@@ -176,5 +174,5 @@
 }
 
-errno_t slip_get_mac48(iplink_srv_t *src, addr48_t *mac)
+int slip_get_mac48(iplink_srv_t *src, addr48_t *mac)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_get_mac48()");
@@ -182,5 +180,5 @@
 }
 
-errno_t slip_addr_add(iplink_srv_t *srv, inet_addr_t *addr)
+int slip_addr_add(iplink_srv_t *srv, inet_addr_t *addr)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_addr_add()");
@@ -188,5 +186,5 @@
 }
 
-errno_t slip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr)
+int slip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_addr_remove()");
@@ -208,5 +206,5 @@
 {
 	while (slip_recv_pending == 0) {
-		errno_t rc;
+		int rc;
 		size_t nread;
 
@@ -215,5 +213,5 @@
 		if (rc != EOK) {
 			log_msg(LOG_DEFAULT, LVL_ERROR,
-			    "char_dev_read() -> %s", str_error_name(rc));
+			    "char_dev_read() returned %d", rc);
 		}
 
@@ -228,5 +226,5 @@
 }
 
-static errno_t slip_recv_fibril(void *arg)
+static int slip_recv_fibril(void *arg)
 {
 	chardev_t *chardev = (chardev_t *) arg;
@@ -234,5 +232,5 @@
 	iplink_recv_sdu_t sdu;
 	uint8_t ch;
-	errno_t rc;
+	int rc;
 
 	sdu.data = recv_final;
@@ -287,5 +285,5 @@
 		if (rc != EOK) {
 			log_msg(LOG_DEFAULT, LVL_ERROR,
-			    "iplink_ev_recv() -> %s", str_error_name(rc));
+			    "iplink_ev_recv() returned %d", rc);
 		}
 	}
@@ -294,5 +292,5 @@
 }
 
-static errno_t slip_init(const char *svcstr, const char *linkstr)
+static int slip_init(const char *svcstr, const char *linkstr)
 {
 	service_id_t svcid;
@@ -304,5 +302,5 @@
 	chardev_t *chardev_out = NULL;
 	fid_t fid;
-	errno_t rc;
+	int rc;
 
 	iplink_srv_init(&slip_iplink);
@@ -415,5 +413,5 @@
 int main(int argc, char *argv[])
 {
-	errno_t rc;
+	int rc;
 
 	printf(NAME ": IP over serial line service\n");
Index: uspace/srv/net/tcp/conn.c
===================================================================
--- uspace/srv/net/tcp/conn.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/conn.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -84,7 +84,7 @@
 
 /** Initialize connections. */
-errno_t tcp_conns_init(void)
-{
-	errno_t rc;
+int tcp_conns_init(void)
+{
+	int rc;
 
 	rc = amap_create(&amap);
@@ -303,8 +303,8 @@
  * Add connection to the connection map.
  */
-errno_t tcp_conn_add(tcp_conn_t *conn)
+int tcp_conn_add(tcp_conn_t *conn)
 {
 	inet_ep2_t aepp;
-	errno_t rc;
+	int rc;
 
 	tcp_conn_addref(conn);
@@ -425,5 +425,5 @@
 tcp_conn_t *tcp_conn_find_ref(inet_ep2_t *epp)
 {
-	errno_t rc;
+	int rc;
 	void *arg;
 	tcp_conn_t *conn;
@@ -1242,5 +1242,5 @@
 	inet_ep2_t aepp;
 	inet_ep2_t oldepp;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "%s: tcp_conn_segment_arrived(%p)",
Index: uspace/srv/net/tcp/conn.h
===================================================================
--- uspace/srv/net/tcp/conn.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/conn.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,9 +40,9 @@
 #include "tcp_type.h"
 
-extern errno_t tcp_conns_init(void);
+extern int tcp_conns_init(void);
 extern void tcp_conns_fini(void);
 extern tcp_conn_t *tcp_conn_new(inet_ep2_t *);
 extern void tcp_conn_delete(tcp_conn_t *);
-extern errno_t tcp_conn_add(tcp_conn_t *);
+extern int tcp_conn_add(tcp_conn_t *);
 extern void tcp_conn_reset(tcp_conn_t *conn);
 extern void tcp_conn_sync(tcp_conn_t *);
Index: uspace/srv/net/tcp/inet.c
===================================================================
--- uspace/srv/net/tcp/inet.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/inet.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
 #define NAME       "tcp"
 
-static errno_t tcp_inet_ev_recv(inet_dgram_t *dgram);
+static int tcp_inet_ev_recv(inet_dgram_t *dgram);
 static void tcp_received_pdu(tcp_pdu_t *pdu);
 
@@ -58,5 +58,5 @@
 
 /** Received datagram callback */
-static errno_t tcp_inet_ev_recv(inet_dgram_t *dgram)
+static int tcp_inet_ev_recv(inet_dgram_t *dgram)
 {
 	uint8_t *pdu_raw;
@@ -121,5 +121,5 @@
 void tcp_transmit_pdu(tcp_pdu_t *pdu)
 {
-	errno_t rc;
+	int rc;
 	uint8_t *pdu_raw;
 	size_t pdu_raw_size;
@@ -169,7 +169,7 @@
 
 /** Initialize TCP inet interface. */
-errno_t tcp_inet_init(void)
+int tcp_inet_init(void)
 {
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_inet_init()");
Index: uspace/srv/net/tcp/inet.h
===================================================================
--- uspace/srv/net/tcp/inet.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/inet.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -38,5 +38,5 @@
 #include "tcp_type.h"
 
-extern errno_t tcp_inet_init(void);
+extern int tcp_inet_init(void);
 extern void tcp_transmit_pdu(tcp_pdu_t *);
 
Index: uspace/srv/net/tcp/iqueue.c
===================================================================
--- uspace/srv/net/tcp/iqueue.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/iqueue.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -137,5 +137,5 @@
  * @return		EOK on success, ENOENT if no segment is ready
  */
-errno_t tcp_iqueue_get_ready_seg(tcp_iqueue_t *iqueue, tcp_segment_t **seg)
+int tcp_iqueue_get_ready_seg(tcp_iqueue_t *iqueue, tcp_segment_t **seg)
 {
 	tcp_iqueue_entry_t *iqe;
Index: uspace/srv/net/tcp/iqueue.h
===================================================================
--- uspace/srv/net/tcp/iqueue.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/iqueue.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,5 +41,5 @@
 extern void tcp_iqueue_insert_seg(tcp_iqueue_t *, tcp_segment_t *);
 extern void tcp_iqueue_remove_seg(tcp_iqueue_t *, tcp_segment_t *);
-extern errno_t tcp_iqueue_get_ready_seg(tcp_iqueue_t *, tcp_segment_t **);
+extern int tcp_iqueue_get_ready_seg(tcp_iqueue_t *, tcp_segment_t **);
 
 #endif
Index: uspace/srv/net/tcp/ncsim.c
===================================================================
--- uspace/srv/net/tcp/ncsim.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/ncsim.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -81,5 +81,5 @@
 	return;
 
-	if (0 /*rand() % 4 == 3*/) {
+	if (0 /*random() % 4 == 3*/) {
 		/* Drop segment */
 		log_msg(LOG_DEFAULT, LVL_ERROR, "NCSim dropping segment");
@@ -94,5 +94,5 @@
 	}
 
-	sqe->delay = rand() % (1000 * 1000);
+	sqe->delay = random() % (1000 * 1000);
 	sqe->epp = *epp;
 	sqe->seg = seg;
@@ -123,10 +123,10 @@
 
 /** Network condition simulator handler fibril. */
-static errno_t tcp_ncsim_fibril(void *arg)
+static int tcp_ncsim_fibril(void *arg)
 {
 	link_t *link;
 	tcp_squeue_entry_t *sqe;
 	inet_ep2_t rident;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_ncsim_fibril()");
Index: uspace/srv/net/tcp/pdu.c
===================================================================
--- uspace/srv/net/tcp/pdu.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/pdu.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -191,5 +191,5 @@
 }
 
-static errno_t tcp_header_encode(inet_ep2_t *epp, tcp_segment_t *seg,
+static int tcp_header_encode(inet_ep2_t *epp, tcp_segment_t *seg,
     void **header, size_t *size)
 {
@@ -295,5 +295,5 @@
 
 /** Decode incoming PDU */
-errno_t tcp_pdu_decode(tcp_pdu_t *pdu, inet_ep2_t *epp, tcp_segment_t **seg)
+int tcp_pdu_decode(tcp_pdu_t *pdu, inet_ep2_t *epp, tcp_segment_t **seg)
 {
 	tcp_segment_t *nseg;
@@ -319,10 +319,10 @@
 
 /** Encode outgoing PDU */
-errno_t tcp_pdu_encode(inet_ep2_t *epp, tcp_segment_t *seg, tcp_pdu_t **pdu)
+int tcp_pdu_encode(inet_ep2_t *epp, tcp_segment_t *seg, tcp_pdu_t **pdu)
 {
 	tcp_pdu_t *npdu;
 	size_t text_size;
 	uint16_t checksum;
-	errno_t rc;
+	int rc;
 
 	npdu = tcp_pdu_new();
Index: uspace/srv/net/tcp/pdu.h
===================================================================
--- uspace/srv/net/tcp/pdu.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/pdu.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,6 +43,6 @@
 extern tcp_pdu_t *tcp_pdu_create(void *, size_t, void *, size_t);
 extern void tcp_pdu_delete(tcp_pdu_t *);
-extern errno_t tcp_pdu_decode(tcp_pdu_t *, inet_ep2_t *, tcp_segment_t **);
-extern errno_t tcp_pdu_encode(inet_ep2_t *, tcp_segment_t *, tcp_pdu_t **);
+extern int tcp_pdu_decode(tcp_pdu_t *, inet_ep2_t *, tcp_segment_t **);
+extern int tcp_pdu_encode(inet_ep2_t *, tcp_segment_t *, tcp_pdu_t **);
 
 #endif
Index: uspace/srv/net/tcp/rqueue.c
===================================================================
--- uspace/srv/net/tcp/rqueue.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/net/tcp/rqueue.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -105,5 +105,5 @@
 
 /** Receive queue handler fibril. */
-static errno_t tcp_rqueue_fibril(void *arg)
+static int tcp_rqueue_fibril(void *arg)
 {
 	link_t *link;
